Subject: bug#68692: 29.1; File-local variable storage for strings with newlines

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jan 2024 22:16:44 +0200

> From: Karthik Chikmagalur <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 26 Jan 2024 11:49:51 -0800
> 
> > We have add-file-local-variable and modify-file-local-variable -- did
> > you try any of them?  If they don't handle this case, we need to fix
> > them so they do.
> 
> Yes, I tried both, and they don't handle this case correctly. (My
> original bug report used add-file-local-variable in the reproduction
> instructions.)
> 
> Should this be filed as a bug, or should I email emacs-devel about this?

Please file a separate bug report with a recipe to reproduce the
problem, i.e. a recipe that shows how these functions fail to
update/add a variable whose value has an embedded newline.

Thanks.